Skip to main content
Update Optimization Template
curl --request PATCH \
  --url https://api.ionworks.com/optimization_templates/{template_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "initial_form_data": {}
}
'
{
  "name": "<string>",
  "id": "<string>",
  "organization_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "initial_form_data": {},
  "project_id": "<string>",
  "access_level": "project"
}

Path Parameters

template_id
string
required

Body

application/json

Model for updating an existing optimization template.

Validates initial_form_data against DesignOptimizationDataFitConfigSchema when updating to ensure updated templates conform to the current schema.

name
string | null

The new name of the template.

description
string | null

The new optional description for the template.

initial_form_data
Initial Form Data · object

Updated initial form data values.

Response

Successful Response

Model representing an optimization template as returned by the API.

name
string
required

The name of the optimization template.

id
string
required

The unique identifier for the template.

organization_id
string
required

The ID of the organization this template belongs to.

created_at
string<date-time>
required

Timestamp of when the template was created.

updated_at
string<date-time>
required

Timestamp of when the template was last updated.

description
string | null

An optional description for the template.

initial_form_data
Initial Form Data · object

Initial form data values.

project_id
string | null

The ID of the owner project (None for system templates).

access_level
string
default:project

Template scope: 'system' for built-in, 'project' for user-created.